com.corticon.rulesemf.common.util

## Class CommonSwitch

- java.lang.Object
- - com.corticon.rulesemf.common.util.CommonSwitch

-     public class CommonSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `CommonPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static CommonPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseAnnotatable(Annotatable object)` Returns the result of interpreting the object as an instance of 'Annotatable'
    `java.lang.Object` | `caseAnnotation(Annotation object)` Returns the result of interpreting the object as an instance of 'Annotation'
    `java.lang.Object` | `caseAsset(Asset object)` Returns the result of interpreting the object as an instance of 'Asset'
    `java.lang.Object` | `caseCorticonObject(CorticonObject object)` Returns the result of interpreting the object as an instance of 'Corticon Object'
    `java.lang.Object` | `caseInternationalValidationMessage(InternationalValidationMessage object)` Returns the result of interpreting the object as an instance of 'International Validation Message'
    `java.lang.Object` | `caseLocalizedValidationMessage(LocalizedValidationMessage object)` Returns the result of interpreting the object as an instance of 'Localized Validation Message'
    `java.lang.Object` | `caseValidatableObject(ValidatableObject object)` Returns the result of interpreting the object as an instance of 'Validatable Object'
    `java.lang.Object` | `caseValidationMessage(ValidationMessage object)` Returns the result of interpreting the object as an instance of 'Validation Message'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static CommonPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### CommonSwitch

          public CommonSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseValidationMessage

          public java.lang.Object caseValidationMessage(ValidationMessage object)

      Returns the result of interpreting the object as an instance of 'Validation Message'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Validation Message'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLocalizedValidationMessage

          public java.lang.Object caseLocalizedValidationMessage(LocalizedValidationMessage object)

      Returns the result of interpreting the object as an instance of 'Localized Validation Message'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Localized Validation Message'.
      See Also:
        `doSwitch(EObject)`

    - #### caseInternationalValidationMessage

          public java.lang.Object caseInternationalValidationMessage(InternationalValidationMessage object)

      Returns the result of interpreting the object as an instance of 'International Validation Message'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'International Validation Message'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAsset

          public java.lang.Object caseAsset(Asset object)

      Returns the result of interpreting the object as an instance of 'Asset'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Asset'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValidatableObject

          public java.lang.Object caseValidatableObject(ValidatableObject object)

      Returns the result of interpreting the object as an instance of 'Validatable Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Validatable Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotation

          public java.lang.Object caseAnnotation(Annotation object)

      Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotatable

          public java.lang.Object caseAnnotatable(Annotatable object)

      Returns the result of interpreting the object as an instance of 'Annotatable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotatable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCorticonObject

          public java.lang.Object caseCorticonObject(CorticonObject object)

      Returns the result of interpreting the object as an instance of 'Corticon Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Corticon Object'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.